## ros-iron-grid-map-ros 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(grid_map_ros)

## Find catkin macros and libraries
find_package(ament_cmake REQUIRED)
find_package(cv_bridge REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(grid_map_cmake_helpers REQUIRED)
find_package(grid_map_core REQUIRED)
find_package(grid_map_cv REQUIRED)
find_package(grid_map_msgs REQUIRED)
find_package(nav2_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)
find_package(rosbag2_cpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(visualization_msgs REQUIRED)

grid_map_package()

set(dependencies
  cv_bridge
  geometry_msgs
  grid_map_core
  grid_map_cv
  grid_map_msgs
  nav2_msgs
  nav_msgs
  rcutils
  rosbag2_cpp
  sensor_msgs
  std_msgs
  tf2
  visualization_msgs
  rclcpp
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  SYSTEM
    ${EIGEN3_INCLUDE_DIR}
)

## Declare a cpp library
add_library(${PROJECT_NAME} SHARED
  src/GridMapRosConverter.cpp
  src/GridMapMsgHelpers.cpp
  src/PolygonRosConverter.cpp
)

ament_target_dependencies(${PROJECT_NAME} SYSTEM
  ${dependencies}
)

#############
## Install ##
#############

# Mark executables and/or libraries for installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

# Mark cpp header files for installation
install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.hpp"
)

#############
## Testing ##
#############

if(BUILD_TESTING)
  # Linting is setup this way to add a filter
  # to ament_cpplint to ignore the lack of
  # copyright messages at the top of files.
  # Copyright messages are being checked for by both
  # ament_cmake_cpplint & ament_cmake_copyright.

  find_package(ament_lint_auto REQUIRED)
  find_package(ament_lint_auto QUIET)
  if(ament_lint_auto_FOUND)
    # exclude copyright checks
    list(APPEND AMENT_LINT_AUTO_EXCLUDE
      ament_cmake_cpplint
      ament_cmake_copyright
    )
    ament_lint_auto_find_test_dependencies()

    # run cpplint without copyright filter
    find_package(ament_cmake_cpplint)
    ament_cpplint(
      FILTERS -legal/copyright -build/include_order
    )
  endif()
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)

  ## Add gtest based cpp test target and link libraries
  ament_add_gtest(${PROJECT_NAME}-test
    test/test_grid_map_ros.cpp
    test/GridMapRosTest.cpp
  )
endif()

if(TARGET ${PROJECT_NAME}-test)
  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
endif()

ament_export_include_directories(include)
ament_export_dependencies(${dependencies})
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-iron-grid-map-ros (2.1.0-1jammy) jammy; urgency=high

  * fix: change cv_bridge.h -> .hpp (#376 <https://github.com/ANYbotics/grid_map/issues/376>)
  * Contributors: Iván López Broceño

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 07 Nov 2022 15:00:00 -0000

ros-iron-grid-map-ros (2.0.0-1jammy) jammy; urgency=high

  * fix: mark Eigen library as SYSTEM
  * fix: build error on jammy
  * Initial ROS2 port
  * Contributors: Maximilian Wulf, Steve Macenski

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 12 Sep 2022 15:00:00 -0000

ros-iron-grid-map-ros (1.6.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 13 Oct 2019 15:00:00 -0000

ros-iron-grid-map-ros (1.6.1-1jammy) jammy; urgency=high

  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Peter Fankhauser, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 15:00:00 -0000

ros-iron-grid-map-ros (1.6.0-1jammy) jammy; urgency=high

  * Fixed the constructor for the ros::Time in saveToBag to correctly use fromNSec.
  * Fixed cpp-check warnings and errors.
  * Removed dependency of grid_map_ros on grid_map_costmap_2d.
  * Contributors: Perry Franklin, Péter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 15:00:00 -0000

ros-iron-grid-map-ros (1.5.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-ros (1.5.1-1jammy) jammy; urgency=high

  * Added backwards compatibility for costmap_2d conversion in grid_map_ros (#111 <https://github.com/anybotics/grid_map/issues/111>).
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 24 Jul 2017 15:00:00 -0000

ros-iron-grid-map-ros (1.5.0-1jammy) jammy; urgency=high

  * Added new ROS converter for polygon to triangle lists.
  * Move costmap_2d conversion into separate package.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 15:00:00 -0000

ros-iron-grid-map-ros (1.4.2-1jammy) jammy; urgency=high

  * Added conversion for Costmap2D from ROS Navigation (#84 <https://github.com/anybotics/grid_map/issues/84>).
  * Added Grid Map message traits to simplify code of the Grid Map RViz plugin (#87 <https://github.com/anybotics/grid_map/issues/87>).
  * Contributors: Peter Fankhauser, Stefan Kohlbrecher, Daniel Stonier

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-iron-grid-map-ros (1.4.1-1jammy) jammy; urgency=high

  * Improved transformation of images to color grid map layers.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.4.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.3.3-1jammy) jammy; urgency=high

  * Release for ROS Kinetic.
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.3.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.3.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 09 May 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.3.0-1jammy) jammy; urgency=high

  * Added new convenience function to change the resolution of grid maps with help of OpenCV interpolation methods (#60 <https://github.com/anybotics/grid_map/issues/60>).
  * Separated OpenCV to grid map conversions to grid_map_cv package (also fixes #56 <https://github.com/anybotics/grid_map/issues/56>)
  * Improved efficiency and generalized image to grid map conversion.
  * Added image conversion for different encodings and depth resolutions.
  * Fix scaling of image value to height conversion.
  * Improved efficiency of the grid map to point cloud conversion by omitting invalid cells.
  * Contributors: Peter Fankhauser, Daniel Stonier, Martin Wermelinger, Dominic Jud

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.2.0-1jammy) jammy; urgency=high

  * Changed the package name from grid_map to grid_map_ros and made grid_map a metapackage (#34 <https://github.com/anybotics/grid_map/issues/34>).
  * Added new occupancy grid to grid map converter (#33 <https://github.com/anybotics/grid_map/issues/33>).
  * Contributors: Peter Fankhauser

 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 02 Mar 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.1.3-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.1.2-1jammy) jammy; urgency=high

  * Should fix errors on build server regarding Eigen3 and visualization_msgs dependencies.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.1.1-1jammy) jammy; urgency=high

  * Changes to CMakeLists.txt to enable compatibility with Ubuntu Saucy.

 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 10 Jan 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.1.0-1jammy) jammy; urgency=high

  * added installation instructions in CMakeLists
  * new conversion from grid map to image
  * general improvements and bugfixes

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 07 Jan 2016 15:00:00 -0000

ros-iron-grid-map-ros (1.0.0-1jammy) jammy; urgency=high

  * release for Springer ROS Book Chapter

 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 19 Nov 2015 15:00:00 -0000

=== debian/control ===
Source: ros-iron-grid-map-ros
Section: misc
Priority: optional
Maintainer: Maximilian Wulf <mwulf@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-cv-bridge, ros-iron-geometry-msgs, ros-iron-grid-map-cmake-helpers, ros-iron-grid-map-core, ros-iron-grid-map-cv, ros-iron-grid-map-msgs, ros-iron-nav-msgs, ros-iron-nav2-msgs, ros-iron-rclcpp, ros-iron-rcutils, ros-iron-rosbag2-cpp, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2, ros-iron-visualization-msgs, ros-iron-ros-workspace
Homepage: http://github.com/anybotics/grid_map
Standards-Version: 3.9.2

Package: ros-iron-grid-map-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-cv-bridge, ros-iron-geometry-msgs, ros-iron-grid-map-core, ros-iron-grid-map-cv, ros-iron-grid-map-msgs, ros-iron-nav-msgs, ros-iron-nav2-msgs, ros-iron-rclcpp, ros-iron-rcutils, ros-iron-rosbag2-cpp, ros-iron-sensor-msgs, ros-iron-std-msgs, ros-iron-tf2, ros-iron-visualization-msgs, ros-iron-ros-workspace
Description: ROS interface for the grid map library to manage two-dimensional grid maps with multiple data layers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-grid-map-ros//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
